Bug 149070 - /etc/sysconfig/kernel ignores default boot option
Summary: /etc/sysconfig/kernel ignores default boot option
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: booty   
(Show other bugs)
Version: 3
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Peter Jones
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-02-18 15:02 UTC by Chris Adams
Modified: 2008-08-02 23:40 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-12-22 03:01:51 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Chris Adams 2005-02-18 15:02:10 UTC
When anaconda creates /etc/sysconfig/kernel, it always sets UPDATEDEFAULT=yes. 
This should not be set if the default boot option is not pointing to the kernel
(i.e. when configuring the boot loader another OS, like WinXP, is chosen as
default).

My father dual boots WinXP and Fedora so he can work on Linux/Unix things at
home, but WinXP is his default.  When he updates the kernel, it changes the
default boot option to point at the newly installed kernel, ignoring that WinXP
was the default.

Comment 1 Jeremy Katz 2005-02-21 02:08:01 UTC
Actually, grubby should only be changing the default if the default is already
matching (or that was the intent anyway)

Comment 2 Chris Adams 2005-02-21 02:18:39 UTC
I don't see anything in grubby or new-kernel-pkg that looks like it checks to
see if the default is a Linux install before changing the default.

That also seems like it would be the wrong place to do the detection.  How can
grubby know the difference between "make this default" and "make this default
only if default is currently Linux"?  If the second mode is what is intended,
the documentation should be updated to reflect it.

This is based on a decision made during install (whether the newly installed
system should be the default in the boot loader); wouldn't it make more sense
for anaconda to store the results of that decision in /etc/sysconfig/kernel
rather than hard-code some behavior in grubby?

Comment 3 Matthew Miller 2006-07-10 20:34:44 UTC
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!



Note You need to log in before you can comment on or make changes to this bug.